@use '/src/mainColor' as *;

.light-mode {
  .lesson-page {
    --color: #{mainColor(97%)};
    --box-shadow: 0 0 1em #{mainColor(90%)};
  }
}
.dark-mode {
  .lesson-page {
    --color: #{mainColor(17%)};
    --box-shadow: 0 0 1em #{mainColor(10%)};
  }
}

.lesson-page {
  width: 100%;
  max-width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  
  .admin-buttons {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 1em;

    > div {
      margin: .25em .5em;
      width: fit-content !important;
    }
  }

  .content {
    width: 100%;
    padding: 0 1em;
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  
  .share {
    max-width: min(100%, 25em);
    box-shadow: var(--box-shadow);
    margin: 2em 0;
    border-radius: 2em;
    border: 2px solid var(--color);
    display: flex;
    flex-direction: column;
    align-items: center;
    
    > span {
      border-radius: 1.8em 1.8em 0 0;
      padding: .5em 0;
      text-align: center;
      width: 100%;
      background-color: var(--color);
      margin-bottom: .2em;
    }
  }
  
}
